<?php

namespace EuKit\Base;

use EuKit\Base\Interfaces\ViewModel;
use Infomaker\Everyware\Base\Menus;
use Infomaker\Everyware\Base\Models\Page;

/**
 * Class PageTemplate
 * @package EuKit\Base
 */
class PageTemplate implements ViewModel
{
    /**
     * @var Page
     */
    private $page;

    public function __construct(Page $page)
    {
        $this->page = $page;
    }

    /**
     * @return array
     */
    public function getViewData(): array
    {
        if (empty($_GET['q'])) {
            $q = "";
        } else {
            $q = $_GET['q'];
        }

        $top_menu = Menus::getFromLocation('top-menu');
        $main_menu = Menus::getFromLocation('main-menu');

        return [
            'topmenu' => $top_menu ? $top_menu->items(true) : [],
            'menu' => $main_menu ? $main_menu->items() : [],
            'page' => $this->page,
            'paramQ' => $q,
            'getPageID' => get_the_ID(),

        ];
    }
}
